Bug 1170542 - (CVE-2020-9489) VUL-1: CVE-2020-9489: tika-core: Denial of Service Vulnerabilities in Some of Apache Tika's Parsers
(CVE-2020-9489)
VUL-1: CVE-2020-9489: tika-core: Denial of Service Vulnerabilities in Some of...
Status: RESOLVED INVALID
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/258408/
CVSSv3.1:SUSE:CVE-2020-9489:5.3:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-04-27 07:00 UTC by Wolfgang Frisch
Modified: 2020-04-27 12:41 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Wolfgang Frisch 2020-04-27 07:00:47 UTC
CVE-2020-9489

A carefully crafted or corrupt file may trigger a System.exit in Tika's
OneNote Parser. Crafted or corrupted files can also cause out of memory
errors and/or infinite loops in Tika's ICNSParser, MP3Parser, MP4Parser,
SAS7BDATParser, OneNoteParser and ImageParser.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2020-9489
http://seclists.org/oss-sec/2020/q2/69
Comment 1 Joao Cavalheiro 2020-04-27 12:27:18 UTC
On tika-core, which is a stripped down version of tika - used only internally to generate documentation from html pages - we do not use any of the parsers referenced on this CVE. The code for those is actually not even included.
Comment 2 Wolfgang Frisch 2020-04-27 12:41:29 UTC
(In reply to Joao Cavalheiro from comment #1)
> On tika-core, which is a stripped down version of tika - used only
> internally to generate documentation from html pages - we do not use any of
> the parsers referenced on this CVE. The code for those is actually not even
> included.

Thanks for the analysis.
Closing.